/*
// File:		MessageForm.cs
//
// Version:		mail.it library 1.0 sample file
//
// Copyright:	(C) 2008 Dacons LLP.
//
// Bugs:		If you have problems or suggestions, please contact
//				the Online Support at: http://www.dacons.net/support
*/

using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using System.Diagnostics;
using Emai;

namespace Imap
{
    public partial class MessageForm : Form
    {
        public MessageForm()
        {
            InitializeComponent();
        }

        public MessageForm(Emai.Mime.Message inMessage)
        {
            InitializeComponent();
            Common.MessagePartEnumerator messagePartEnumerator = new Common.MessagePartEnumerator(inMessage) ;
			messagePartEnumerator.Enumerate();

            this.textBoxFrom.Text = messagePartEnumerator.From;
            this.textBoxTo.Text = messagePartEnumerator.To;
            this.textBoxCC.Text = messagePartEnumerator.CC;
            this.textBoxSubject.Text = messagePartEnumerator.Subject;
            this.textBoxMessageText.Text = messagePartEnumerator.Text;

            if (messagePartEnumerator.AttachmentsCount > 0)
            {
                String fileName = "";
                String contentID = "";
                Byte[] data = new Byte[1];
                String res = "";
                for (Int32 i = 0; i < messagePartEnumerator.AttachmentsCount; i++)
                {
                    messagePartEnumerator.GetAttachmentAtIndex(i, ref data, ref fileName, ref contentID);
                    if (contentID.Length > 0)
                        res = String.Format("{0:S} (size = {1:D} bytes content ID = {2:S})", fileName, data.Length, contentID);
                    else
                        res = String.Format("{0:S} (size = {1:D} bytes)", fileName, data.Length);
                    this.attachmentsListBox.Items.Add(res);
                }
            }
        }

        private void buttonClose_Click(object sender, EventArgs e)
        {
            this.Close();
        }
    }
}